Bug 26504 - Remove the use of jquery.checkboxes plugin from checkout notes page
Summary: Remove the use of jquery.checkboxes plugin from checkout notes page
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks: 26006
  Show dependency treegraph
 
Reported: 2020-09-21 19:04 UTC by Owen Leonard
Modified: 2020-10-27 04:27 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26504: Remove the use of jquery.checkboxes plugin from checkout notes page (1.20 KB, patch)
2020-09-21 19:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26504: Remove the use of jquery.checkboxes plugin from checkout notes page (1.25 KB, patch)
2020-09-22 01:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 26504: Remove the use of jquery.checkboxes plugin from checkout notes page (1.31 KB, patch)
2020-09-23 19:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-09-21 19:04:17 UTC
The jquery.checkboxes plugin is included on the checkout notes page but is unused. It should be removed.
Comment 1 Owen Leonard 2020-09-21 19:25:19 UTC
Created attachment 110486 [details] [review]
Bug 26504: Remove the use of jquery.checkboxes plugin from checkout notes page

This patch removes the inclusion of the jquery.checkboxes plugin from
the checkout notes page. It is unused.

To test, apply the patch and confirm that the AllowCheckoutNotes system
preference is enabled.

- Go to Circulation -> Checkout notes.
- Confirm that the "Select all" and "Clear all" links work correctly.
Comment 2 David Nind 2020-09-22 01:39:22 UTC
Created attachment 110524 [details] [review]
Bug 26504: Remove the use of jquery.checkboxes plugin from checkout notes page

This patch removes the inclusion of the jquery.checkboxes plugin from
the checkout notes page. It is unused.

To test, apply the patch and confirm that the AllowCheckoutNotes system
preference is enabled.

- Go to Circulation -> Checkout notes.
- Confirm that the "Select all" and "Clear all" links work correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2020-09-23 19:53:10 UTC
Created attachment 110621 [details] [review]
Bug 26504: Remove the use of jquery.checkboxes plugin from checkout notes page

This patch removes the inclusion of the jquery.checkboxes plugin from
the checkout notes page. It is unused.

To test, apply the patch and confirm that the AllowCheckoutNotes system
preference is enabled.

- Go to Circulation -> Checkout notes.
- Confirm that the "Select all" and "Clear all" links work correctly.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-09-29 12:32:26 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-10-20 17:00:31 UTC
backported to 20.05.x for 20.05.05
Comment 6 Aleisha Amohia 2020-10-27 04:27:38 UTC
enhancement, not backported to 19.11.x